﻿using Newtonsoft.Json.Linq;
using Tiobon.Core.IServices.BASE;
using Tiobon.Core.Model;
using Tiobon.Core.Model.Models;

namespace Tiobon.Core.IServices
{	
	/// <summary>
	/// 人员群组(自定义服务接口)
	/// </summary>	
    public interface IGhra_StaffGroupServices :IBaseServices<Ghra_StaffGroup, Ghra_StaffGroupDto, InsertGhra_StaffGroupInput, EditGhra_StaffGroupInput>
	{
        Task<ServiceResult<object>> GetStaffInfoColumnData();
        Task<ServiceResult<Dictionary<string, object>>> GetStaffGroupInfoByID(long Id, JObject FBody);
    }
}