﻿using Tiobon.Core.IServices.BASE;
using Tiobon.Core.Model;
using Tiobon.Core.Model.Models;

namespace Tiobon.Core.IServices;

/// <summary>
/// 参数配置(自定义服务接口)
/// </summary>	
public interface IGhre_ConfigServices : IBaseServices<Ghre_Config, Ghre_ConfigDto, InsertGhre_ConfigInput, EditGhre_ConfigInput>
{
    Task<ServiceResult> BulkUpdateValue(List<Ghre_ConfigDto> entitys);
}