﻿using Tiobon.Core.IServices.BASE;
using Tiobon.Core.Model;
using Tiobon.Core.Model.Models;

namespace Tiobon.Core.IServices;

/// <summary>
/// 年度人力配置(自定义服务接口)
/// </summary>	
public interface IGhrh_YearHumanSettingsServices : IBaseServices<Ghrh_YearHumanSettings, Ghrh_YearHumanSettingsDto, InsertGhrh_YearHumanSettingsInput, EditGhrh_YearHumanSettingsInput>
{
    Task<ServiceResult<List<FlowTableColumn>>> QueryApplyColumn(int curentYear, int langId);
}