﻿/*  代码由框架生成,任何更改都可能导致被代码生成器覆盖，可自行修改。
* Ghra_StaffWorkExp.cs
*
*功 能： N / A
* 类 名： Ghra_StaffWorkExp
*
* Ver    变更日期 负责人  变更内容
* ───────────────────────────────────
*V0.01  2024/12/6 14:37:21  SimonHsiao   初版
*
* Copyright(c) 2024 Tiobon Corporation. All Rights Reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　作者：SimonHsiao                                                  │
*└──────────────────────────────────┘
*/
namespace Tiobon.Core.Model.Models;


/// <summary>
/// Ghra_StaffWorkExp (Model)
/// </summary>
[SugarTable("Ghra_StaffWorkExp", "Ghra_StaffWorkExp"), Entity(TableCnName = "Ghra_StaffWorkExp", TableName = "Ghra_StaffWorkExp")]
public class Ghra_StaffWorkExp : BasePoco1
{

    /// <summary>
    /// 工作经历ID
    /// </summary>
    [SugarColumn(IsNullable = false, IsPrimaryKey = true, IsIdentity = true), Display(Name = "表主键")]
    public int? StaffWorkExpID { get; set; }

    /// <summary>
    /// 员工ID
    /// </summary>
    public int? StaffID { get; set; }

    /// <summary>
    /// 开始日期
    /// </summary>
    public DateTime? BeginDate { get; set; }

    /// <summary>
    /// 结束日
    /// </summary>
    public DateTime? EndDate { get; set; }

    /// <summary>
    /// 公司名
    /// </summary>
    [Display(Name = "CompanyName"), Description("公司名"), MaxLength(1000, ErrorMessage = "公司名 不能超过 1000 个字符")]
    public string CompanyName { get; set; }

    /// <summary>
    /// 部门名
    /// </summary>
    [Display(Name = "DeptName"), Description("部门名"), MaxLength(1000, ErrorMessage = "部门名 不能超过 1000 个字符")]
    public string DeptName { get; set; }

    /// <summary>
    /// 职称名
    /// </summary>
    [Display(Name = "TitleName"), Description("职称名"), MaxLength(1000, ErrorMessage = "职称名 不能超过 1000 个字符")]
    public string TitleName { get; set; }

    /// <summary>
    /// 公司内
    /// </summary>
    public int? IsCompany { get; set; }

    /// <summary>
    /// 计算年资
    /// </summary>
    public int? IsCalSeniority { get; set; }

    /// <summary>
    /// 本业
    /// </summary>
    public int? IsBase { get; set; }

    /// <summary>
    /// 年资
    /// </summary>
    [Display(Name = "Seniority"), Description("年资"), Column(TypeName = "decimal(18,2)")]
    public decimal? Seniority { get; set; }

    /// <summary>
    /// 离职原因
    /// </summary>
    [Display(Name = "SeparationReason"), Description("离职原因"), MaxLength(1000, ErrorMessage = "离职原因 不能超过 1000 个字符")]
    public string SeparationReason { get; set; }

    /// <summary>
    /// 薪资
    /// </summary>
    [Display(Name = "SalaryAmount"), Description("薪资"), Column(TypeName = "decimal(18,2)")]
    public decimal? SalaryAmount { get; set; }

    /// <summary>
    /// AttachmentIDs
    /// </summary>
    [Display(Name = "AttachmentIDs"), Description("AttachmentIDs"), MaxLength(-1, ErrorMessage = "AttachmentIDs 不能超过 -1 个字符")]
    public string AttachmentIDs { get; set; }

    /// <summary>
    /// RemarkSz
    /// </summary>
    [Display(Name = "RemarkSz"), Description("RemarkSz"), MaxLength(2000, ErrorMessage = "RemarkSz 不能超过 2000 个字符")]
    public string RemarkSz { get; set; }

    /// <summary>
    /// SortNo
    /// </summary>
    public int? SortNo { get; set; }

    /// <summary>
    /// IsDefault
    /// </summary>
    public int? IsDefault { get; set; }

    /// <summary>
    /// Reverse1
    /// </summary>
    [Display(Name = "Reverse1"), Description("Reverse1"), MaxLength(1000, ErrorMessage = "Reverse1 不能超过 1000 个字符")]
    public string Reverse1 { get; set; }

    /// <summary>
    /// Reverse2
    /// </summary>
    [Display(Name = "Reverse2"), Description("Reverse2"), MaxLength(1000, ErrorMessage = "Reverse2 不能超过 1000 个字符")]
    public string Reverse2 { get; set; }

    /// <summary>
    /// Reverse3
    /// </summary>
    [Display(Name = "Reverse3"), Description("Reverse3"), MaxLength(1000, ErrorMessage = "Reverse3 不能超过 1000 个字符")]
    public string Reverse3 { get; set; }

    /// <summary>
    /// Reverse4
    /// </summary>
    [Display(Name = "Reverse4"), Description("Reverse4"), MaxLength(1000, ErrorMessage = "Reverse4 不能超过 1000 个字符")]
    public string Reverse4 { get; set; }

    /// <summary>
    /// Reverse5
    /// </summary>
    [Display(Name = "Reverse5"), Description("Reverse5"), MaxLength(1000, ErrorMessage = "Reverse5 不能超过 1000 个字符")]
    public string Reverse5 { get; set; }
}
