﻿/*  代码由框架生成,任何更改都可能导致被代码生成器覆盖，可自行修改。
* Ghrc_SalaryItem.cs
*
*功 能： N / A
* 类 名： Ghrc_SalaryItem
*
* Ver    变更日期 负责人  变更内容
* ───────────────────────────────────
*V0.01  2024/12/10 15:41:05  SimonHsiao   初版
*
* Copyright(c) 2024 Tiobon Corporation. All Rights Reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　作者：SimonHsiao                                                  │
*└──────────────────────────────────┘
*/
namespace Tiobon.Core.Model.Models;


/// <summary>
/// Ghrc_SalaryItem (Model)
/// </summary>
[SugarTable("Ghrc_SalaryItem", "Ghrc_SalaryItem"), Entity(TableCnName = "Ghrc_SalaryItem", TableName = "Ghrc_SalaryItem")]
public class Ghrc_SalaryItem : BasePoco1
{

    /// <summary>
    /// SalaryItemID
    /// </summary>
    [SugarColumn(IsNullable = false, IsPrimaryKey = true, IsIdentity = true), Display(Name = "表主键")]
    public int? SalaryItemID { get; set; }

    /// <summary>
    /// DataBelongID
    /// </summary>
    public int? DataBelongID { get; set; }

    /// <summary>
    /// SalaryItemNo
    /// </summary>
    [Display(Name = "SalaryItemNo"), Description("SalaryItemNo"), MaxLength(100, ErrorMessage = "SalaryItemNo 不能超过 100 个字符")]
    public string SalaryItemNo { get; set; }

    /// <summary>
    /// SalaryItemName
    /// </summary>
    [Display(Name = "SalaryItemName"), Description("SalaryItemName"), MaxLength(1000, ErrorMessage = "SalaryItemName 不能超过 1000 个字符")]
    public string SalaryItemName { get; set; }

    /// <summary>
    /// MKey
    /// </summary>
    [Display(Name = "MKey"), Description("MKey"), MaxLength(1000, ErrorMessage = "MKey 不能超过 1000 个字符")]
    public string MKey { get; set; }

    /// <summary>
    /// IsBuildIn
    /// </summary>
    public int? IsBuildIn { get; set; }

    /// <summary>
    /// SumType
    /// </summary>
    [Display(Name = "SumType"), Description("SumType"), MaxLength(100, ErrorMessage = "SumType 不能超过 100 个字符")]
    public string SumType { get; set; }

    /// <summary>
    /// ItemType
    /// </summary>
    [Display(Name = "ItemType"), Description("ItemType"), MaxLength(100, ErrorMessage = "ItemType 不能超过 100 个字符")]
    public string ItemType { get; set; }

    /// <summary>
    /// IsTax
    /// </summary>
    public int? IsTax { get; set; }

    /// <summary>
    /// IsPlus
    /// </summary>
    public int? IsPlus { get; set; }

    /// <summary>
    /// IsOnlyTax
    /// </summary>
    public int? IsOnlyTax { get; set; }

    /// <summary>
    /// IsOnlyBase
    /// </summary>
    public int? IsOnlyBase { get; set; }

    /// <summary>
    /// GLAccount
    /// </summary>
    [Display(Name = "GLAccount"), Description("GLAccount"), MaxLength(1000, ErrorMessage = "GLAccount 不能超过 1000 个字符")]
    public string GLAccount { get; set; }

    /// <summary>
    /// IsSpecialDeduct
    /// </summary>
    public int? IsSpecialDeduct { get; set; }

    /// <summary>
    /// SpecialDeductType
    /// </summary>
    [Display(Name = "SpecialDeductType"), Description("SpecialDeductType"), MaxLength(100, ErrorMessage = "SpecialDeductType 不能超过 100 个字符")]
    public string SpecialDeductType { get; set; }

    /// <summary>
    /// DecimalPointCount
    /// </summary>
    public int? DecimalPointCount { get; set; }

    /// <summary>
    /// DecimalCalType
    /// </summary>
    [Display(Name = "DecimalCalType"), Description("DecimalCalType"), MaxLength(100, ErrorMessage = "DecimalCalType 不能超过 100 个字符")]
    public string DecimalCalType { get; set; }

    /// <summary>
    /// IsCalSalarySave
    /// </summary>
    public int? IsCalSalarySave { get; set; }

    /// <summary>
    /// CalSalarySaveSeq
    /// </summary>
    public int? CalSalarySaveSeq { get; set; }

    /// <summary>
    /// ItemFormulaText
    /// </summary>
    [Display(Name = "ItemFormulaText"), Description("ItemFormulaText"), MaxLength(-1, ErrorMessage = "ItemFormulaText 不能超过 -1 个字符")]
    public string ItemFormulaText { get; set; }

    /// <summary>
    /// ItemFormulaHtmlText
    /// </summary>
    [Display(Name = "ItemFormulaHtmlText"), Description("ItemFormulaHtmlText"), MaxLength(-1, ErrorMessage = "ItemFormulaHtmlText 不能超过 -1 个字符")]
    public string ItemFormulaHtmlText { get; set; }

    /// <summary>
    /// RemarkSz
    /// </summary>
    [Display(Name = "RemarkSz"), Description("RemarkSz"), MaxLength(2000, ErrorMessage = "RemarkSz 不能超过 2000 个字符")]
    public string RemarkSz { get; set; }

    /// <summary>
    /// SortNo
    /// </summary>
    public int? SortNo { get; set; }

    /// <summary>
    /// IsDefault
    /// </summary>
    public int? IsDefault { get; set; }

    /// <summary>
    /// Reverse1
    /// </summary>
    [Display(Name = "Reverse1"), Description("Reverse1"), MaxLength(1000, ErrorMessage = "Reverse1 不能超过 1000 个字符")]
    public string Reverse1 { get; set; }

    /// <summary>
    /// Reverse2
    /// </summary>
    [Display(Name = "Reverse2"), Description("Reverse2"), MaxLength(1000, ErrorMessage = "Reverse2 不能超过 1000 个字符")]
    public string Reverse2 { get; set; }

    /// <summary>
    /// Reverse3
    /// </summary>
    [Display(Name = "Reverse3"), Description("Reverse3"), MaxLength(1000, ErrorMessage = "Reverse3 不能超过 1000 个字符")]
    public string Reverse3 { get; set; }

    /// <summary>
    /// Reverse4
    /// </summary>
    [Display(Name = "Reverse4"), Description("Reverse4"), MaxLength(1000, ErrorMessage = "Reverse4 不能超过 1000 个字符")]
    public string Reverse4 { get; set; }

    /// <summary>
    /// Reverse5
    /// </summary>
    [Display(Name = "Reverse5"), Description("Reverse5"), MaxLength(1000, ErrorMessage = "Reverse5 不能超过 1000 个字符")]
    public string Reverse5 { get; set; }
}
