﻿/*  代码由框架生成,任何更改都可能导致被代码生成器覆盖，可自行修改。
* Ghre_CertificateDesignItem.cs
*
*功 能： N / A
* 类 名： Ghre_CertificateDesignItem
*
* Ver    变更日期 负责人  变更内容
* ───────────────────────────────────
*V0.01  2025/5/15 16:14:10  SimonHsiao   初版
*
* Copyright(c) 2025 Tiobon Corporation. All Rights Reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　作者：SimonHsiao                                                  │
*└──────────────────────────────────┘
*/
namespace Tiobon.Core.Model.Models;


/// <summary>
/// 培训证书设计项 (Model)
/// </summary>
[SugarTable("Ghre_CertificateDesignItem", "Ghre_CertificateDesignItem"), Entity(TableCnName = "培训证书设计项", TableName = "Ghre_CertificateDesignItem")]
public class Ghre_CertificateDesignItem : BasePoco
{

    /// <summary>
    /// 培训证书规则ID
    /// </summary>
    public long? CertificateDesignId { get; set; }

    /// <summary>
    /// 培训证书设计ID
    /// </summary>
    public long? CertificateRuleId { get; set; }

    /// <summary>
    /// certNoFixed
    /// </summary>
    [Display(Name = "certNoFixed"), Description("certNoFixed"), MaxLength(32, ErrorMessage = "certNoFixed 不能超过 32 个字符")]
    public string certNoFixed { get; set; }

    /// <summary>
    /// certNoRule
    /// </summary>
    [Display(Name = "certNoRule"), Description("certNoRule"), MaxLength(32, ErrorMessage = "certNoRule 不能超过 32 个字符")]
    public string certNoRule { get; set; }

    /// <summary>
    /// color
    /// </summary>
    [Display(Name = "color"), Description("color"), MaxLength(32, ErrorMessage = "color 不能超过 32 个字符")]
    public string color { get; set; }

    /// <summary>
    /// customDate
    /// </summary>
    public DateTime? customDate { get; set; }

    /// <summary>
    /// dateFormat
    /// </summary>
    [Display(Name = "dateFormat"), Description("dateFormat"), MaxLength(32, ErrorMessage = "dateFormat 不能超过 32 个字符")]
    public string dateFormat { get; set; }

    /// <summary>
    /// dateRule
    /// </summary>
    [Display(Name = "dateRule"), Description("dateRule"), MaxLength(32, ErrorMessage = "dateRule 不能超过 32 个字符")]
    public string dateRule { get; set; }

    /// <summary>
    /// elBgColor
    /// </summary>
    [Display(Name = "elBgColor"), Description("elBgColor"), MaxLength(32, ErrorMessage = "elBgColor 不能超过 32 个字符")]
    public string elBgColor { get; set; }

    /// <summary>
    /// field
    /// </summary>
    [Display(Name = "field"), Description("field"), MaxLength(32, ErrorMessage = "field 不能超过 32 个字符")]
    public string field { get; set; }

    /// <summary>
    /// fontSize
    /// </summary>
    public int? fontSize { get; set; }

    /// <summary>
    /// fontWeight
    /// </summary>
    public int? fontWeight { get; set; }

    /// <summary>
    /// height
    /// </summary>
    [Display(Name = "height"), Description("height"), Column(TypeName = "decimal(20,2)")]
    public decimal? height { get; set; }

    /// <summary>
    /// id1
    /// </summary>
    [Display(Name = "id1"), Description("id1"), MaxLength(64, ErrorMessage = "id1 不能超过 64 个字符")]
    public string id1 { get; set; }

    /// <summary>
    /// imageSize
    /// </summary>
    [Display(Name = "imageSize"), Description("imageSize"), MaxLength(32, ErrorMessage = "imageSize 不能超过 32 个字符")]
    public string imageSize { get; set; }

    /// <summary>
    /// imageUrl
    /// </summary>
    [Display(Name = "imageUrl"), Description("imageUrl"), MaxLength(128, ErrorMessage = "imageUrl 不能超过 128 个字符")]
    public string imageUrl { get; set; }

    /// <summary>
    /// left
    /// </summary>
    [Display(Name = "left"), Description("left"), Column(TypeName = "decimal(20,2)")]
    public decimal? left { get; set; }

    /// <summary>
    /// lineHeight
    /// </summary>
    public int? lineHeight { get; set; }

    /// <summary>
    /// padding
    /// </summary>
    public int? padding { get; set; }

    /// <summary>
    /// text
    /// </summary>
    [Display(Name = "text"), Description("text")]
    public string text { get; set; }

    /// <summary>
    /// top
    /// </summary>
    [Display(Name = "top"), Description("top"), Column(TypeName = "decimal(20,2)")]
    public decimal? top { get; set; }

    /// <summary>
    /// type
    /// </summary>
    [Display(Name = "type"), Description("type"), MaxLength(32, ErrorMessage = "type 不能超过 32 个字符")]
    public string type { get; set; }

    /// <summary>
    /// width
    /// </summary>
    [Display(Name = "width"), Description("width"), Column(TypeName = "decimal(20,2)")]
    public decimal? width { get; set; }

    /// <summary>
    /// zIndex
    /// </summary>
    public int? zIndex { get; set; }

    /// <summary>
    /// certificateBodyRule
    /// </summary>
    [Display(Name = "certificateBodyRule"), Description("certificateBodyRule"), MaxLength(10, ErrorMessage = "certificateBodyRule 不能超过 10 个字符")]
    public string certificateBodyRule { get; set; }

    /// <summary>
    /// certificateBody
    /// </summary>
    [Display(Name = "certificateBody"), Description("certificateBody"), MaxLength(10, ErrorMessage = "certificateBody 不能超过 10 个字符")]
    public string certificateBody { get; set; }

    /// <summary>
    /// 备注
    /// </summary>
    [Display(Name = "RemarkSz"), Description("备注"), MaxLength(2000, ErrorMessage = "备注 不能超过 2000 个字符")]
    public string RemarkSz { get; set; }

    /// <summary>
    /// 默认标志
    /// </summary>
    public int? IsDefault { get; set; }

    /// <summary>
    /// 预留字段1
    /// </summary>
    [Display(Name = "Reverse1"), Description("预留字段1"), MaxLength(1000, ErrorMessage = "预留字段1 不能超过 1000 个字符")]
    public string Reverse1 { get; set; }

    /// <summary>
    /// 预留字段2
    /// </summary>
    [Display(Name = "Reverse2"), Description("预留字段2"), MaxLength(1000, ErrorMessage = "预留字段2 不能超过 1000 个字符")]
    public string Reverse2 { get; set; }

    /// <summary>
    /// 预留字段3
    /// </summary>
    [Display(Name = "Reverse3"), Description("预留字段3"), MaxLength(1000, ErrorMessage = "预留字段3 不能超过 1000 个字符")]
    public string Reverse3 { get; set; }

    /// <summary>
    /// 预留字段4
    /// </summary>
    [Display(Name = "Reverse4"), Description("预留字段4"), MaxLength(1000, ErrorMessage = "预留字段4 不能超过 1000 个字符")]
    public string Reverse4 { get; set; }

    /// <summary>
    /// 预留字段5
    /// </summary>
    [Display(Name = "Reverse5"), Description("预留字段5"), MaxLength(1000, ErrorMessage = "预留字段5 不能超过 1000 个字符")]
    public string Reverse5 { get; set; }

    /// <summary>
    /// 预留字段6
    /// </summary>
    [Display(Name = "Reverse6"), Description("预留字段6"), MaxLength(1000, ErrorMessage = "预留字段6 不能超过 1000 个字符")]
    public string Reverse6 { get; set; }

    /// <summary>
    /// 预留字段7
    /// </summary>
    [Display(Name = "Reverse7"), Description("预留字段7"), MaxLength(1000, ErrorMessage = "预留字段7 不能超过 1000 个字符")]
    public string Reverse7 { get; set; }

    /// <summary>
    /// 预留字段8
    /// </summary>
    [Display(Name = "Reverse8"), Description("预留字段8"), MaxLength(1000, ErrorMessage = "预留字段8 不能超过 1000 个字符")]
    public string Reverse8 { get; set; }

    /// <summary>
    /// 预留字段9
    /// </summary>
    [Display(Name = "Reverse9"), Description("预留字段9"), MaxLength(1000, ErrorMessage = "预留字段9 不能超过 1000 个字符")]
    public string Reverse9 { get; set; }

    /// <summary>
    /// 预留字段10
    /// </summary>
    [Display(Name = "Reverse10"), Description("预留字段10"), MaxLength(1000, ErrorMessage = "预留字段10 不能超过 1000 个字符")]
    public string Reverse10 { get; set; }

    /// <summary>
    /// 预留字段11
    /// </summary>
    public int? ReverseI1 { get; set; }

    /// <summary>
    /// 预留字段12
    /// </summary>
    public int? ReverseI2 { get; set; }

    /// <summary>
    /// align
    /// </summary>
    [Display(Name = "align"), Description("align"), MaxLength(32, ErrorMessage = "align 不能超过 32 个字符")]
    public string align { get; set; }
}
