﻿/*  代码由框架生成,任何更改都可能导致被代码生成器覆盖，可自行修改。
* Ghrh_InterviewOrder.cs
*
*功 能： N / A
* 类 名： Ghrh_InterviewOrder
*
* Ver    变更日期 负责人  变更内容
* ───────────────────────────────────
*V0.01  2024/11/13 14:32:36  SimonHsiao   初版
*
* Copyright(c) 2024 Tiobon Corporation. All Rights Reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　作者：SimonHsiao                                                  │
*└──────────────────────────────────┘
*/

namespace Tiobon.Core.Model.Models;

/// <summary>
/// 面试工单(Dto.View1)
/// </summary>
public class Ghrh_InterviewOrderDto : Ghrh_InterviewOrder
{
    /// <summary>
    /// 创建信息
    /// </summary>
    public string CreateDataInfo { get; set; }

    /// <summary>
    /// 修改信息
    /// </summary>
    public string UpdateDataInfo { get; set; }

    /// <summary>
    /// 可面试时间
    /// </summary>
    public string OptionalInterviewTime { get; set; }

    /// <summary>
    /// 面试时间
    /// </summary>
    public string InterviewTime { get; set; }

    /// <summary>
    /// 面试地点
    /// </summary>
    public string InterviewAddress { get; set; }

    /// <summary>
    /// 候选人姓名
    /// </summary> 
    public string StaffName { get; set; }

    /// <summary>
    /// 证照类型
    /// </summary> 
    public string CertificateType { get; set; }

    /// <summary>
    /// 身份证号
    /// </summary>
    public string IdCardNo { get; set; }
    /// <summary>
    /// 标签
    /// </summary>
    public string Tag { get; set; }
    /// <summary>
    /// 应聘岗位
    /// </summary>
    public string TitleName { get; set; }
    /// <summary>
    /// 性别
    /// </summary>
    public string Gender { get; set; }
    /// <summary>
    /// 年龄
    /// </summary>
    public int Age { get; set; }
    /// <summary>
    /// 学历
    /// </summary>
    public string EduDegree { get; set; }

    /// <summary>
    /// 状态
    /// </summary>
    public string StatusLabel { get; set; }

    /// <summary>
    /// 需求单号
    /// </summary>
    public string RequestNo { get; set; }
    public DateTime? Birthday { get; set; }

}
