﻿/*  代码由框架生成,任何更改都可能导致被代码生成器覆盖，可自行修改。
* Ghrh_InterviewRecord.cs
*
*功 能： N / A
* 类 名： Ghrh_InterviewRecord
*
* Ver    变更日期 负责人  变更内容
* ───────────────────────────────────
*V0.01  2024/11/14 9:19:49  SimonHsiao   初版
*
* Copyright(c) 2024 Tiobon Corporation. All Rights Reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　作者：SimonHsiao                                                  │
*└──────────────────────────────────┘
*/

namespace Tiobon.Core.Model.Models;

/// <summary>
/// 面试记录(Dto.View1)
/// </summary>
public class Ghrh_InterviewRecordDto : Ghrh_InterviewRecord
{
    /// <summary>
    /// 创建信息
    /// </summary>
    public string CreateDataInfo { get; set; }

    /// <summary>
    /// 修改信息
    /// </summary>
    public string UpdateDataInfo { get; set; }

    public long? ResumeId { get; set; }
    public long? RequestId { get; set; }

    /// <summary>
    /// 候选人姓名
    /// </summary> 
    public string StaffName { get; set; }

    /// <summary>
    /// 证照类型
    /// </summary> 
    public string CertificateType { get; set; }

    /// <summary>
    /// 身份证号
    /// </summary>
    public string IdCardNo { get; set; }
    /// <summary>
    /// 标签
    /// </summary>
    public string Tag { get; set; }

    /// <summary>
    /// 应聘岗位
    /// </summary>
    public string TitleName { get; set; }
    /// <summary>
    /// 性别
    /// </summary>
    public string Gender { get; set; }
    /// <summary>
    /// 年龄
    /// </summary>
    public int Age { get; set; }
    /// <summary>
    /// 学历
    /// </summary>
    public string EduDegree { get; set; }

    /// <summary>
    /// 状态
    /// </summary>
    public string StatusLabel { get; set; }

    /// <summary>
    /// 需求单号
    /// </summary>
    public string RequestNo { get; set; }


    /// <summary>
    /// 面试官
    /// </summary>
    public string Interviewer { get; set; }

    /// <summary>
    /// 面试官
    /// </summary>
    public string Participant { get; set; }
    /// <summary>
    /// 部门
    /// </summary>
    public string HireDeptName { get; set; }
    /// <summary>
    /// 部门
    /// </summary>
    public string HireTitleName { get; set; }
    public DateTime? Birthday { get; set; }


}
