﻿/*  代码由框架生成,任何更改都可能导致被代码生成器覆盖，可自行修改。
* Ghrh_Resume.cs
*
*功 能： N / A
* 类 名： Ghrh_Resume
*
* Ver    变更日期 负责人  变更内容
* ───────────────────────────────────
*V0.01  2024/10/21 10:13:55  SimonHsiao   初版
*
* Copyright(c) 2024 Tiobon Corporation. All Rights Reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　作者：SimonHsiao                                                  │
*└──────────────────────────────────┘
*/

namespace Tiobon.Core.Model.Models;

/// <summary>
/// 个人简历(Dto.View1)
/// </summary>
public class Ghrh_ResumeDto : Ghrh_Resume
{
    /// <summary>
    /// 创建信息
    /// </summary>
    public string CreateDataInfo { get; set; }

    /// <summary>
    /// 修改信息
    /// </summary>
    public string UpdateDataInfo { get; set; }

    /// <summary>
    /// 职位
    /// </summary>
    public string TitleName { get; set; }

    /// <summary>
    /// 职位
    /// </summary>
    public string TitleLabel { get; set; }

    /// <summary>
    /// 性别
    /// </summary>
    public string GenderLabel { get; set; }

    /// <summary>
    /// 学历
    /// </summary>
    public string EducationLabel { get; set; }

    /// <summary>
    /// 民族
    /// </summary>
    public string NationLabel { get; set; }

    /// <summary>
    /// 婚姻状况
    /// </summary>

    public string MaritalStatusLabel { get; set; }

    /// <summary>
    /// 政治面貌
    /// </summary>
    public string PoliticStatusLabel { get; set; }

    /// <summary>
    /// 证照类型
    /// </summary>
    public string CertificateTypeLabel { get; set; }

    /// <summary>
    /// 户口性质
    /// </summary>
    public string RegisteredTypeLabel { get; set; }
    public string UrgentRelationLabel { get; set; }

    /// <summary>
    /// 求职状态
    /// </summary>
    public string ApplyStatusLabel { get; set; }

    /// <summary>
    /// 渠道
    /// </summary>
    public string ChannelLabel { get; set; }

    /// <summary>
    /// 学历
    /// </summary>
    public string EduDegreeLabel { get; set; }

    /// <summary>
    /// 标签
    /// </summary>
    public List<string> TagList { get; set; }

    /// <summary>
    /// 标签
    /// </summary>
    public List<long> TagIds { get; set; }

    /// <summary>
    /// 标签
    /// </summary>
    public string TagString { get; set; }

    /// <summary>
    /// 教育背景
    /// </summary>
    public List<Ghrh_ResumeEduBGDto> EduBG { get; set; }

    /// <summary>
    /// 工作经历
    /// </summary>
    public List<Ghrh_ResumeWorkExpDto> WorkExp { get; set; }

    /// <summary>
    /// 简历ID
    /// </summary>
    public long? ResumeId { get; set; }

    /// <summary>
    /// 面试单号
    /// </summary>
    public string OrderNo { get; set; }

    /// <summary>
    /// 推荐时间
    /// </summary>
    public DateTime? RecommendTime { get; set; }

    /// <summary>
    /// 轮数，初试/复试或者一轮二轮三轮
    /// </summary>
    public int? Round { get; set; }

    /// <summary>
    /// 是否通过
    /// </summary>
    public bool? IsPass { get; set; }

    /// <summary>
    /// 面试结果
    /// </summary>

    public string InterviewResult { get; set; }

    public string InterviewResultRemark { get; set; }

    /// <summary>
    /// 是否通过
    /// </summary>
    public string IsPassLabel { get; set; }

    /// <summary>
    /// 订单状态
    /// </summary>
    public string OrderStatus { get; set; }

    /// <summary>
    /// 员工ID
    /// </summary>
    public int? StaffId { get; set; }

    /// <summary>
    /// 取消原因
    /// </summary>
    public string CancelReason { get; set; }

    /// <summary>
    /// 是否取消
    /// </summary>
    public bool? IsCancel { get; set; }

    /// <summary>
    /// 是否可以评估
    /// </summary>
    public bool? IsAllowAssess { get; set; }

    /// <summary>
    /// 生日
    /// </summary>
    public string Birthday1 { get; set; }
    public string Indate1 { get; set; }
    /// <summary>
    /// 录用公司
    /// </summary>
    public string HireCompanyName { get; set; }

    /// <summary>
    /// 用人部门
    /// </summary>
    public string HireDeptName { get; set; }

    /// <summary>
    /// 用人岗位
    /// </summary>
    public string HireTitleName { get; set; }

    /// <summary>
    /// 面试官
    /// </summary>
    public string Interviewer { get; set; }

    /// <summary>
    /// 可面试时间
    /// </summary>
    public string OptionalInterviewTime { get; set; }

    /// <summary>
    /// 面试时间
    /// </summary>
    public string InterviewTime { get; set; }

    /// <summary>
    /// 面试时间
    /// </summary>
    public string InterviewTime1 { get; set; }

    /// <summary>
    /// 面试评估
    /// </summary>
    public string InterviewContent { get; set; }

    /// <summary>
    /// 约面反馈
    /// </summary> 
    public string AppointmentFeedback { get; set; }

    /// <summary>
    /// 审批类型，线上审批or不走审批
    /// </summary> 
    public string OfferApplyType { get; set; }

    /// <summary>
    /// 审批单是否存在
    /// </summary> 
    public bool OfferApplyExist { get; set; } = false;

    /// <summary>
    /// 已报到转入人事资料类型，Fast,快速入职;Normal,正常入职
    /// </summary>
    public string TransferStaffType { get; set; }

    /// <summary>
    /// 面试环节
    /// </summary>
    public string InterviewStepName { get; set; }

    /// <summary>
    /// 面试地点
    /// </summary>
    public string InterviewAddress { get; set; }

    /// <summary>
    /// 是否可以改期
    /// </summary> 
    public bool IsAllowChangeDate { get; set; } = false;

    /// <summary>
    /// 是否可以取消
    /// </summary> 
    public bool IsAllowCancel { get; set; } = false;

    /// <summary>
    /// 是否为主面试官
    /// </summary> 
    public bool IsPrimary { get; set; } = true;

}
