﻿using Tiobon.Core.Model.Models;

namespace Tiobon.Core.Model.ViewModels.Extend;

public class ResumeViewTab
{
    public string MenuName { get; set; }
    public string TabName { get; set; }
    public string QueryUrl { get; set; }
    public int Count { get; set; }
    public List<ResumeViewTabItem> Items { get; set; }
}

public class ResumeViewTabItem
{
    public string ItemName { get; set; }
    public string Key { get; set; }
    public int Count { get; set; }
}

public class ResumeCondition
{
    public string Key { get; set; }
    public string Name { get; set; }
    public string ParaMasterNo { get; set; }
    public Dictionary<string, string> Items { get; set; }

}
public class ResumeFormColumn1
{
    public string ColumnName { get; set; }
    public string ColumnNameDesc { get; set; }

    public string GroupType { get; set; }
    public string ColumnType { get; set; }
    public string MapTableName { get; set; }
    public string MapColumnName { get; set; }
    public string DataType { get; set; }
    public string DataSourceType { get; set; }
    public bool? IsRequired { get; set; }

    public string DataSource { get; set; }
    public string DataSource1 { get; set; }
    public string DataSourceID { get; set; }

    public int SortNo { get; set; }


}


