﻿using Tiobon.Core.Common;
using Tiobon.Core.Model;

namespace Tiobon.Core.IServices;

/// <summary>
/// 员工群组(自定义服务接口)
/// </summary>	
public interface IGhre_StaffGroupServices : IBaseServices<Ghre_StaffGroup, Ghre_StaffGroupDto, InsertGhre_StaffGroupInput, EditGhre_StaffGroupInput>
{
    Task<ServicePageResult<Ghra_StaffDto>> QueryStaff(long id, QueryBody filter, string condition, bool? IsEnable = true);
}