﻿using Tiobon.Core.Model;

namespace Tiobon.Core.IServices;

/// <summary>
/// 【牛尾】培训计划(自定义服务接口)
/// </summary>	
public interface IGhre_UshioPlanServices : IBaseServices<Ghre_UshioPlan, Ghre_UshioPlanDto, InsertGhre_UshioPlanInput, EditGhre_UshioPlanInput>
{
    Task<ServiceResult<long>> InsertByStatus(InsertGhre_UshioPlanInput insertModel, string status);

    Task<ServiceResult> UpdateStatus(InsertGhre_UshioPlanInput input, string status);
}