﻿using Newtonsoft.Json.Linq;
using Tiobon.Core.IServices.BASE;
using Tiobon.Core.Model;
using Tiobon.Core.Model.Models;

namespace Tiobon.Core.IServices
{	
	/// <summary>
	/// 考核期间(自定义服务接口)
	/// </summary>	
    public interface IGhrp_PerformancePeriodServices :IBaseServices<Ghrp_PerformancePeriod, Ghrp_PerformancePeriodDto, InsertGhrp_PerformancePeriodInput, EditGhrp_PerformancePeriodInput>
	{
        Task<ServiceResult> BatchCreatePeriod(JObject jsonParam);
    }
}