﻿/*  代码由框架生成,任何更改都可能导致被代码生成器覆盖，可自行修改。
* Ghra_StaffEduBG.cs
*
*功 能： N / A
* 类 名： Ghra_StaffEduBG
*
* Ver    变更日期 负责人  变更内容
* ───────────────────────────────────
*V0.01  2024/12/6 13:45:45  SimonHsiao   初版
*
* Copyright(c) 2024 Tiobon Corporation. All Rights Reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　作者：SimonHsiao                                                  │
*└──────────────────────────────────┘
*/
namespace Tiobon.Core.Model.Models;


/// <summary>
/// Ghra_StaffEduBG (Dto.Base)
/// </summary>
public class Ghra_StaffEduBGBase
{

    /// <summary>
    /// 教育背景ID
    /// </summary>
    public int? StaffEduBGID { get; set; }

    /// <summary>
    /// 员工ID
    /// </summary>
    public int? StaffID { get; set; }

    /// <summary>
    /// 开始日期
    /// </summary>
    [Display(Name = "BeginDate"), Description("开始日期"), MaxLength(100, ErrorMessage = "开始日期 不能超过 100 个字符")]
    public string BeginDate { get; set; }

    /// <summary>
    /// 结束日期
    /// </summary>
    [Display(Name = "EndDate"), Description("结束日期"), MaxLength(100, ErrorMessage = "结束日期 不能超过 100 个字符")]
    public string EndDate { get; set; }

    /// <summary>
    /// 学校名称
    /// </summary>
    [Display(Name = "SchoolName"), Description("学校名称"), MaxLength(1000, ErrorMessage = "学校名称 不能超过 1000 个字符")]
    public string SchoolName { get; set; }

    /// <summary>
    /// 科系
    /// </summary>
    [Display(Name = "DeptName"), Description("科系"), MaxLength(1000, ErrorMessage = "科系 不能超过 1000 个字符")]
    public string DeptName { get; set; }

    /// <summary>
    /// 学历
    /// </summary>
    [Display(Name = "DegreeLevel"), Description("学历"), MaxLength(100, ErrorMessage = "学历 不能超过 100 个字符")]
    public string DegreeLevel { get; set; }

    /// <summary>
    /// 毕业否
    /// </summary>
    public int? IsGraduate { get; set; }

    /// <summary>
    /// RemarkSz
    /// </summary>
    [Display(Name = "RemarkSz"), Description("RemarkSz"), MaxLength(2000, ErrorMessage = "RemarkSz 不能超过 2000 个字符")]
    public string RemarkSz { get; set; }

    /// <summary>
    /// SortNo
    /// </summary>
    public int? SortNo { get; set; }

    /// <summary>
    /// IsDefault
    /// </summary>
    public int? IsDefault { get; set; }

    /// <summary>
    /// AttachmentIDs
    /// </summary>
    [Display(Name = "AttachmentIDs"), Description("AttachmentIDs"), MaxLength(-1, ErrorMessage = "AttachmentIDs 不能超过 -1 个字符")]
    public string AttachmentIDs { get; set; }

    /// <summary>
    /// Reverse1
    /// </summary>
    [Display(Name = "Reverse1"), Description("Reverse1"), MaxLength(1000, ErrorMessage = "Reverse1 不能超过 1000 个字符")]
    public string Reverse1 { get; set; }

    /// <summary>
    /// Reverse2
    /// </summary>
    [Display(Name = "Reverse2"), Description("Reverse2"), MaxLength(1000, ErrorMessage = "Reverse2 不能超过 1000 个字符")]
    public string Reverse2 { get; set; }

    /// <summary>
    /// Reverse3
    /// </summary>
    [Display(Name = "Reverse3"), Description("Reverse3"), MaxLength(1000, ErrorMessage = "Reverse3 不能超过 1000 个字符")]
    public string Reverse3 { get; set; }

    /// <summary>
    /// Reverse4
    /// </summary>
    [Display(Name = "Reverse4"), Description("Reverse4"), MaxLength(1000, ErrorMessage = "Reverse4 不能超过 1000 个字符")]
    public string Reverse4 { get; set; }

    /// <summary>
    /// Reverse5
    /// </summary>
    [Display(Name = "Reverse5"), Description("Reverse5"), MaxLength(1000, ErrorMessage = "Reverse5 不能超过 1000 个字符")]
    public string Reverse5 { get; set; }
}
