﻿/*  代码由框架生成,任何更改都可能导致被代码生成器覆盖，可自行修改。
* Ghrh_ResumeHome.cs
*
*功 能： N / A
* 类 名： Ghrh_ResumeHome
*
* Ver    变更日期 负责人  变更内容
* ───────────────────────────────────
*V0.01  2024/10/31 11:50:34  SimonHsiao   初版
*
* Copyright(c) 2024 Tiobon Corporation. All Rights Reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　作者：SimonHsiao                                                  │
*└──────────────────────────────────┘
*/
namespace Tiobon.Core.Model.Models;


/// <summary>
/// 家庭关系 (Dto.Base)
/// </summary>
public class Ghrh_ResumeHomeBase
{

    /// <summary>
    /// 简历ID
    /// </summary>
    public long? ResumeId { get; set; }

    /// <summary>
    /// 姓名
    /// </summary>
    [Display(Name = "RelationName"), Description("姓名"), MaxLength(100, ErrorMessage = "姓名 不能超过 100 个字符")]
    public string RelationName { get; set; }

    /// <summary>
    /// 年龄
    /// </summary>
    [Display(Name = "RelationAge"), Description("年龄"), MaxLength(100, ErrorMessage = "年龄 不能超过 100 个字符")]
    public string RelationAge { get; set; }

    /// <summary>
    /// 关系
    /// </summary>
    [Display(Name = "RelationType"), Description("关系"), MaxLength(100, ErrorMessage = "关系 不能超过 100 个字符")]
    public string RelationType { get; set; }

    /// <summary>
    /// 工作单位
    /// </summary>
    [Display(Name = "WorkCompany"), Description("工作单位"), MaxLength(100, ErrorMessage = "工作单位 不能超过 100 个字符")]
    public string WorkCompany { get; set; }

    /// <summary>
    /// 电话
    /// </summary>
    [Display(Name = "Telephone"), Description("电话"), MaxLength(32, ErrorMessage = "电话 不能超过 32 个字符")]
    public string Telephone { get; set; }

    /// <summary>
    /// 性别
    /// </summary>
    [Display(Name = "Telephone"), Description("性别"), MaxLength(32, ErrorMessage = "性别 不能超过 32 个字符")]
    public string Gender { get; set; }

    /// <summary>
    /// 身份证号码
    /// </summary>
    [Display(Name = "IDCardNo"), Description("身份证号码"), MaxLength(100, ErrorMessage = "身份证号码 不能超过 100 个字符")]
    public string IDCardNo { get; set; }

    /// <summary>
    /// 出生日期
    /// </summary>
    public DateTime? Birth { get; set; }

    /// <summary>
    /// 地址
    /// </summary>
    [Display(Name = "RelationAddress"), Description("地址"), MaxLength(2000, ErrorMessage = "地址 不能超过 2000 个字符")]
    public string RelationAddress { get; set; }

    /// <summary>
    /// 备注
    /// </summary>
    [Display(Name = "RemarkSz"), Description("备注"), MaxLength(2000, ErrorMessage = "备注 不能超过 2000 个字符")]
    public string RemarkSz { get; set; }

    /// <summary>
    /// 默认标志
    /// </summary>
    public int? IsDefault { get; set; }

    /// <summary>
    /// 预留字段1
    /// </summary>
    [Display(Name = "Reverse1"), Description("预留字段1"), MaxLength(1000, ErrorMessage = "预留字段1 不能超过 1000 个字符")]
    public string Reverse1 { get; set; }

    /// <summary>
    /// 预留字段2
    /// </summary>
    [Display(Name = "Reverse2"), Description("预留字段2"), MaxLength(1000, ErrorMessage = "预留字段2 不能超过 1000 个字符")]
    public string Reverse2 { get; set; }

    /// <summary>
    /// 预留字段3
    /// </summary>
    [Display(Name = "Reverse3"), Description("预留字段3"), MaxLength(1000, ErrorMessage = "预留字段3 不能超过 1000 个字符")]
    public string Reverse3 { get; set; }

    /// <summary>
    /// 预留字段4
    /// </summary>
    [Display(Name = "Reverse4"), Description("预留字段4"), MaxLength(1000, ErrorMessage = "预留字段4 不能超过 1000 个字符")]
    public string Reverse4 { get; set; }

    /// <summary>
    /// 预留字段5
    /// </summary>
    [Display(Name = "Reverse5"), Description("预留字段5"), MaxLength(1000, ErrorMessage = "预留字段5 不能超过 1000 个字符")]
    public string Reverse5 { get; set; }

    /// <summary>
    /// 预留字段6
    /// </summary>
    [Display(Name = "Reverse6"), Description("预留字段6"), MaxLength(1000, ErrorMessage = "预留字段6 不能超过 1000 个字符")]
    public string Reverse6 { get; set; }

    /// <summary>
    /// 预留字段7
    /// </summary>
    [Display(Name = "Reverse7"), Description("预留字段7"), MaxLength(1000, ErrorMessage = "预留字段7 不能超过 1000 个字符")]
    public string Reverse7 { get; set; }

    /// <summary>
    /// 预留字段8
    /// </summary>
    [Display(Name = "Reverse8"), Description("预留字段8"), MaxLength(1000, ErrorMessage = "预留字段8 不能超过 1000 个字符")]
    public string Reverse8 { get; set; }

    /// <summary>
    /// 预留字段9
    /// </summary>
    [Display(Name = "Reverse9"), Description("预留字段9"), MaxLength(1000, ErrorMessage = "预留字段9 不能超过 1000 个字符")]
    public string Reverse9 { get; set; }

    /// <summary>
    /// 预留字段10
    /// </summary>
    [Display(Name = "Reverse10"), Description("预留字段10"), MaxLength(1000, ErrorMessage = "预留字段10 不能超过 1000 个字符")]
    public string Reverse10 { get; set; }

    /// <summary>
    /// 预留字段11
    /// </summary>
    public int? ReverseI1 { get; set; }

    /// <summary>
    /// 预留字段12
    /// </summary>
    public int? ReverseI2 { get; set; }
}
