﻿/*  代码由框架生成,任何更改都可能导致被代码生成器覆盖，可自行修改。
* Ghrp_PerformancePeriodType.cs
*
*功 能： N / A
* 类 名： Ghrp_PerformancePeriodType
*
* Ver    变更日期 负责人  变更内容
* ───────────────────────────────────
*V0.01  2025/4/16 14:36:13  SimonHsiao   初版
*
* Copyright(c) 2025 Tiobon Corporation. All Rights Reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　作者：SimonHsiao                                                  │
*└──────────────────────────────────┘
*/
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace Tiobon.Core.Model.Models
{

    /// <summary>
    /// 考核周期类别 (Dto.Base)
    /// </summary>
    public class Ghrp_PerformancePeriodTypeBase
    {

        /// <summary>
        /// 类别编号
        /// </summary>
        [Display(Name = "PeriodTypeNo"), Description("类别编号"), MaxLength(32, ErrorMessage = "类别编号 不能超过 32 个字符")]
        public string PeriodTypeNo { get; set; }

        /// <summary>
        /// 类别名称
        /// </summary>
        [Display(Name = "PeriodTypeName"), Description("类别名称"), MaxLength(32, ErrorMessage = "类别名称 不能超过 32 个字符")]
        public string PeriodTypeName { get; set; }

        /// <summary>
        /// 多语编号
        /// </summary>
        [Display(Name = "MKey"), Description("多语编号"), MaxLength(255, ErrorMessage = "多语编号 不能超过 255 个字符")]
        public string MKey { get; set; }

        /// <summary>
        /// 考核阶段数
        /// </summary>
        [Display(Name = "Stage"), Description("考核阶段数"), MaxLength(255, ErrorMessage = "考核阶段数 不能超过 255 个字符")]
        public string Stage { get; set; }

        /// <summary>
        /// 考核阶段名称
        /// </summary>
        [Display(Name = "StageItems"), Description("考核阶段名称"), MaxLength(255, ErrorMessage = "考核阶段名称 不能超过 255 个字符")]
        public string StageItems { get; set; }

        /// <summary>
        /// 集团数据归属ID
        /// </summary>
        public int? DataBelongID { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [Display(Name = "RemarkSz"), Description("备注"), MaxLength(2000, ErrorMessage = "备注 不能超过 2000 个字符")]
        public string RemarkSz { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        public int? SortNo { get; set; }

        /// <summary>
        /// 默认标志
        /// </summary>
        public int? IsDefault { get; set; }

        /// <summary>
        /// 预留字段1
        /// </summary>
        [Display(Name = "Reverse1"), Description("预留字段1"), MaxLength(1000, ErrorMessage = "预留字段1 不能超过 1000 个字符")]
        public string Reverse1 { get; set; }

        /// <summary>
        /// 预留字段2
        /// </summary>
        [Display(Name = "Reverse2"), Description("预留字段2"), MaxLength(1000, ErrorMessage = "预留字段2 不能超过 1000 个字符")]
        public string Reverse2 { get; set; }

        /// <summary>
        /// 预留字段3
        /// </summary>
        [Display(Name = "Reverse3"), Description("预留字段3"), MaxLength(1000, ErrorMessage = "预留字段3 不能超过 1000 个字符")]
        public string Reverse3 { get; set; }

        /// <summary>
        /// 预留字段4
        /// </summary>
        [Display(Name = "Reverse4"), Description("预留字段4"), MaxLength(1000, ErrorMessage = "预留字段4 不能超过 1000 个字符")]
        public string Reverse4 { get; set; }

        /// <summary>
        /// 预留字段5
        /// </summary>
        [Display(Name = "Reverse5"), Description("预留字段5"), MaxLength(1000, ErrorMessage = "预留字段5 不能超过 1000 个字符")]
        public string Reverse5 { get; set; }

        /// <summary>
        /// 预留字段6
        /// </summary>
        [Display(Name = "Reverse6"), Description("预留字段6"), MaxLength(1000, ErrorMessage = "预留字段6 不能超过 1000 个字符")]
        public string Reverse6 { get; set; }

        /// <summary>
        /// 预留字段7
        /// </summary>
        [Display(Name = "Reverse7"), Description("预留字段7"), MaxLength(1000, ErrorMessage = "预留字段7 不能超过 1000 个字符")]
        public string Reverse7 { get; set; }

        /// <summary>
        /// 预留字段8
        /// </summary>
        [Display(Name = "Reverse8"), Description("预留字段8"), MaxLength(1000, ErrorMessage = "预留字段8 不能超过 1000 个字符")]
        public string Reverse8 { get; set; }

        /// <summary>
        /// 预留字段9
        /// </summary>
        [Display(Name = "Reverse9"), Description("预留字段9"), MaxLength(1000, ErrorMessage = "预留字段9 不能超过 1000 个字符")]
        public string Reverse9 { get; set; }

        /// <summary>
        /// 预留字段10
        /// </summary>
        [Display(Name = "Reverse10"), Description("预留字段10"), MaxLength(1000, ErrorMessage = "预留字段10 不能超过 1000 个字符")]
        public string Reverse10 { get; set; }

        /// <summary>
        /// 预留字段11
        /// </summary>
        public int? ReverseI1 { get; set; }

        /// <summary>
        /// 预留字段12
        /// </summary>
        public int? ReverseI2 { get; set; }

        /// <summary>
        /// 内置
        /// </summary>
        public int? BuiltIn { get; set; }
         
        /// <summary>
        /// 考核阶段名称
        /// </summary>
        public List<string> StageItems_List { get; set; } = new List<string>();
    }
}
