﻿/*  代码由框架生成,任何更改都可能导致被代码生成器覆盖，可自行修改。
* Ghre_Request.cs
*
*功 能： N / A
* 类 名： Ghre_Request
*
* Ver    变更日期 负责人  变更内容
* ───────────────────────────────────
*V0.01  2024/9/6 16:37:59  SimonHsiao   初版
*
* Copyright(c) 2024 Tiobon Corporation. All Rights Reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　作者：SimonHsiao                                                  │
*└──────────────────────────────────┘
*/

namespace Tiobon.Core.Model.Models;

/// <summary>
/// 培训需求(Dto.View)
/// </summary>
public class Ghre_RequestDto : Ghre_Request
{
    /// <summary>
    /// 创建信息
    /// </summary>
    public string CreateDataInfo { get; set; }

    /// <summary>
    /// 修改信息
    /// </summary>
    public string UpdateDataInfo { get; set; }
    public List<int> TrainStaffIds { get; set; }


    public string CourseSourceLabel { get; set; }

    public string RequestSourceLabel { get; set; }

    public string DeptName { get; set; }
    public string TrainClassLabel { get; set; }
    public string TrainLevelLabel { get; set; }

    public string InOrOutLabel { get; set; }

    public string TeacherClassLabel { get; set; }

    public string SponsorName { get; set; }

    public string TrainStaffNames { get; set; }
    public string AgreeUserName { get; set; }

    public string RefuseUserName { get; set; }

    public string WorkStateLabel { get; set; }
    public string YearMonthLabel { get; set; }
    public string MonthLabel { get; set; }
    public string DeptNo { get; set; }
    public string TrainStaffId1 { get; set; }
    public string SponsorNo { get; set; }

    /// <summary>
    /// 合计天数
    /// </summary>
    public string TotalTrainDays { get; set; } = "0";
    public string BuiltInLabel { get; set; }
    public string DataBelongName { get; set; }

}

