﻿
using Tiobon.Core.IServices;
using Tiobon.Core.Model.Models;
using Tiobon.Core.Services.BASE;
using Tiobon.Core.IRepository.Base;
using Tiobon.Core.Common.Caches;

namespace Tiobon.Core.Services
{
	/// <summary>
	/// 人员群组明细 (服务)
	/// </summary>
    public class Ghra_StaffGroupDetailServices : BaseServices<Ghra_StaffGroupDetail, Ghra_StaffGroupDetailDto, InsertGhra_StaffGroupDetailInput, EditGhra_StaffGroupDetailInput>, IGhra_StaffGroupDetailServices
    {
        private readonly IBaseRepository<Ghra_StaffGroupDetail> _dal;
        public Ghra_StaffGroupDetailServices(ICaching caching, IBaseRepository<Ghra_StaffGroupDetail> dal)
        {
            this._dal = dal;
            base.BaseDal = dal;
            base._caching = caching;
        }
    }
}